PUBLICNAME(1)

NAME
publicname - Runs TPM2 publicname

DESCRIPTION
publicname

Calculates the public name of an entity. There are times that a policy creator has TPM, PEM, or DER format information, but does not have access to a TPM. This utility accepts these inputs and outputs the name in the 'no spaces' format suitable for pasting into a policy. The binary format is used in the regression test

-invpu
    TPM2B_NV_PUBLIC public key file name

-ipu
    TPM2B_PUBLIC public key file name

-ipem
    PEM format public key file name

-ider
    DER format plaintext key pair file name]

[-on
    binary format Name file name]

[-ns
    print Name in hexacsii]

    -pem and -ider optional arguments

[-rsa
    (default)]

[-ecc
    ]

[-scheme
    for signing key (default RSASSA scheme)]

    rsassa rsapss null

[-nalg
    name hash algorithm (sha1, sha256, sha384, sha512) (default sha256)]

[-halg
    scheme hash algorithm (sha1, sha256, sha384, sha512) (default sha256)]

[-uwa
    userWithAuth attribute clear (default set)]

[-si
    signing (default) RSA]

[-st
    storage (default NULL scheme)]

[-den
    decryption, (unrestricted, RSA and EC NULL scheme)